Subject: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead of ext4 for root partition.

From: Pierre Neidhardt <[email-masked]>
Date: Fri, 10 Apr 2020 11:04:17 +0200

Efraim Flashner <[email-masked]> writes:

> On Fri, Apr 10, 2020 at 09:39:18AM +0200, Pierre Neidhardt wrote:
>> > So compression saves me 26% ([69-51]/69), and deduplication saves me
>> > 62% ([180-69]/180).
>> 
>> Thanks for sharing!
>> zstd might give better results.  Any reason you chose lzo over zstd?
>> 
>
> My machine is about 10 years old so I was more concerned than normal
> about the CPU usage. If lz4 was an option I would've gone with that, but
> according to the Arch wiki or some other locations lzo was basically the
> fastest option.

I've tried zstd on an AMD Athlon II X4 635 (2010): it's perfectly
smooth, can't notice any performance drop.  In fact, I wonder if it's
not even faster than before, but it's hard to measure.

Note that Arch Wiki tends to be on the conservative side when it comes
to performance.  I would not use it as a reference for the general case:
it may guide users to sacrifice convenience and features over
unnoticeable performance gains.

Cheers!

-- 
Pierre Neidhardt
https://ambrevar.xyz/